This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 492943 - GFS2: gfs2_quotad in uninterruptible sleep while idle
GFS2: gfs2_quotad in uninterruptible sleep while idle
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Steve Whitehouse
Cluster QE
: ZStream
Depends On:
Blocks: 501742
  Show dependency treegraph
 
Reported: 2009-03-30 16:43 EDT by Nate Straz
Modified: 2010-10-23 04:40 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:12:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix quotad issue (593 bytes, patch)
2009-04-01 05:35 EDT, Steve Whitehouse
no flags Details | Diff

  None (edit)
Description Nate Straz 2009-03-30 16:43:59 EDT
Description of problem:

When a GFS2 file system is mounted, gfs2_quotad is in D state even when the file system is idle.  This throws of the sysadmin's expectations that an idle system has a load of 0.

A system backtrace shows the following:

gfs2_quotad   D 0000093B  2712  3690     11                3689 (L-TLB)
       f63b1f6c 00000046 5be0470a 0000093b f8e79170 f63b1f3c 00000000 00000007
       f7fb3aa0 5be0725d 0000093b 00002b53 00000001 f7fb3bac c20136c4 f751ae40
       00000000 c2014064 00000286 c042be73 f7c3e000 f63b1f74 00000286 ffffffff
Call Trace:
 [<f8e79170>] gfs2_glock_dq+0xe3/0xf7 [gfs2]
 [<c042be73>] lock_timer_base+0x15/0x2f
 [<c060ff3f>] schedule_timeout+0x71/0x8c
 [<c042b61f>] process_timeout+0x0/0x5
 [<f8e88d90>] gfs2_quotad+0x14f/0x177 [gfs2]
 [<c043465f>] autoremove_wake_function+0x0/0x2d
 [<f8e88c41>] gfs2_quotad+0x0/0x177 [gfs2]
 [<c043459d>] kthread+0xc0/0xeb
 [<c04344dd>] kthread+0x0/0xeb
 [<c0405c53>] kernel_thread_helper+0x7/0x10
 =======================


Version-Release number of selected component (if applicable):
kernel-2.6.18-128.el5

How reproducible:
100%

Steps to Reproduce:
1. mkfs -t gfs2 -p lock_nolock -j 1 -O /dev/foo
2. mount -t gfs2 /dev/foo /mnt
3. sleep 10
4. uptime
  
Actual results:


Expected results:


Additional info:
Comment 1 Steve Whitehouse 2009-04-01 05:01:36 EDT
Patch has been posted upstream already - will do a RHEL5 patch shortly.
Comment 2 Steve Whitehouse 2009-04-01 05:35:01 EDT
Created attachment 337474 [details]
Patch to fix quotad issue

RHEL5 patch as per rhkernel-list
Comment 3 Don Zickus 2009-04-06 17:18:10 EDT
in kernel-2.6.18-138.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 5 Nate Straz 2009-04-17 11:08:15 EDT
Verified with a GFS2 mount with kernel2-6.18-138.el5

[root@dash-01 yum.repos.d]# uname -r
2.6.18-138.el5
[root@dash-01 yum.repos.d]# mount -t gfs2
/dev/mapper/wic-wic0 on /mnt/wic type gfs2 (rw,localflocks,localcaching,debug,num_glockd=0)

24930 ?        S<     0:00 [gfs2_recoverd]
24931 ?        S<     0:00 [gfs2_logd]
24932 ?        S<     0:00 [gfs2_quotad]
Comment 10 errata-xmlrpc 2009-09-02 04:12:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.